package TreeJuxtaposer;

import java.io.File;
import javax.swing.filechooser.*;

public class NexusFilter extends FileFilter {

	public NexusFilter()
{
}
    
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
     	}

        String extension = Utils.getExtension(f);
		if (extension != null &&
		        ( extension.endsWith(Utils.nexus) || extension.endsWith(Utils.tre))) 
        	return true;
	    
        return false;
    }
    
    // The description of this filter
    public String getDescription() {
        return Utils.nexus_file_description;
    }
}

