package AccordionDrawer;

public class IdleThread implements Runnable {

	AccordionDrawer drawer;
	static public boolean runningIdle = false;
	static int runningCount = 0;
	
	public IdleThread(AccordionDrawer drawer)
	{
		this.drawer = drawer;
	}
	
	public void run() {
		if (AccordionDrawer.debugOutput)
			System.out.println(" (it) idle " + drawer.ToDrawQ.size());
		if (drawer.keepDrawing() || drawer.keepMoving())
		{
			if (AccordionDrawer.debugOutput)
				System.out.println("idle thread calling drawer.display(): " + runningCount++);
			runningIdle = true;
			drawer.requestRedraw();
			runningIdle = false;
		}
		else
			if (AccordionDrawer.debugOutput)
				System.out.println("no idle redraw: " + drawer.keepDrawing() + " " + drawer.keepMoving());
	}


}
